package com.fhkj.oltinspection.util;

import java.io.BufferedReader;
import java.io.File;
import java.io.FileReader;
import java.io.IOException;
import java.util.HashMap;
import java.util.Map;
import java.util.Properties;

import org.springframework.util.ResourceUtils;

public class ReadProperties {
    public static Map<String, Object> sshConfigMap = new HashMap<String, Object> ();
    static {
        try {
            File file = ResourceUtils.getFile("oltConfig/sshConnection.properties");
            Properties properties = new Properties();
            BufferedReader bufferedReader;
            bufferedReader = new BufferedReader(new FileReader(file));
            properties.load(bufferedReader);
            int connectionTimeout = Integer.parseInt(properties.getProperty("connectionTimeout"));
            sshConfigMap.put ("connectionTimeout", connectionTimeout);
        } catch (IOException e) {
            e.printStackTrace();
        }
    }
}